Decisions
Get a Decision
Returns a visible Decision and its visible consumers: each By decision conversation gate whose agent the caller can see, each shared-bot router whose bot connects an agent the caller can see, each code-host routing with a member or target agent the caller can see, and each agent that uses it.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/v1/orgs/string/decisions/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "decision": { "name": "string", "providerId": "string", "model": "string", "question": { "type": "choice", "instructions": "string", "criteria": { "property1": "string", "property2": "string" } }, "visibility": "org", "sharedWith": [], "id": "string", "orgId": "string", "createdBy": "string", "createdAt": "string", "updatedAt": "string", "canEdit": true }, "usages": [ { "kind": "gate", "id": "string", "label": "string", "rootDecisionId": "string", "integrationId": "string", "channelId": "string", "provider": "github", "repoId": "string", "family": "issues", "protocol": "ai-sdk-ui", "rules": [ { "when": { "type": "choice", "thresholds": { "property1": 0, "property2": 0 } }, "then": { "type": "trigger" } } ], "otherwise": { "type": "trigger" } } ]}